🚧 [Experimental] Create Trino cluster
Creates a Trino cluster and returns an asynchronous operation.
Request
POST
https://api.datalens.tech/rpc/createTrinoCluster
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"collectionId": "example",
"cloudEnvironmentId": "example",
"name": "example",
"description": "example",
"labels": {},
"catalogsConfig": [
{
"catalogId": "example"
}
],
"workerConfig": {
"resources": {
"resourcePresetId": "example"
},
"scalePolicy": {
"autoScale": {
"minCount": "example",
"maxCount": "example"
}
}
},
"trinoVersion": "example",
"retryPolicy": {
"policy": "QUERY"
}
}
|
Name |
Description |
||||||||||||
|
cloudEnvironmentId |
Type: string ID of the cloud environment in which to create the cluster. Min length: Max length: Example: |
||||||||||||
|
collectionId |
Type: string ID of the DataLens collection in which to create the cluster. Min length: Max length: Example: |
||||||||||||
|
name |
Type: string Name of the Trino cluster. Min length: Max length: Pattern: Example: |
||||||||||||
|
workerConfig |
Type: object
Example
|
||||||||||||
|
catalogsConfig |
Type: object[]
REST catalogs to attach to the cluster. Example
|
||||||||||||
|
description |
Type: string Description of the Trino cluster. Max length: Example: |
||||||||||||
|
labels |
Type: object
Trino cluster labels. Example
|
||||||||||||
|
retryPolicy |
Type: object
Retry policy. The service default is used when omitted. Example
|
||||||||||||
|
trinoVersion |
Type: string Trino version. The service default is used when omitted. Example: |
Responses
200 OK
Response
Body
application/json
{
"id": "example",
"description": "example",
"createdAt": {
"seconds": "example",
"nanos": 0.5
},
"createdBy": "example",
"modifiedAt": {
"seconds": "example",
"nanos": 0.5
},
"done": true,
"metadata": {},
"error": {
"code": 0.5,
"message": "example",
"details": [
null
]
},
"response": {}
}
|
Name |
Description |
||||||
|
done |
Type: boolean Whether the operation has completed. |
||||||
|
id |
Type: string Unique ID of the operation. Example: |
||||||
|
metadata |
Type: object
Service-specific operation metadata. Example
|
||||||
|
createdAt |
Type: object
Time when the operation was created. Example
|
||||||
|
createdBy |
Type: string ID of the operation creator. Example: |
||||||
|
description |
Type: string Description of the operation. Example: |
||||||
|
error |
Type: object
Operation error, if the operation failed. Example
|
||||||
|
modifiedAt |
Type: object
Time when the operation was last modified. Example
|
||||||
|
response |
Type: object
Service-specific operation response. Example
|